Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.rest
Class RestActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory
          org.apache.struts2.rest.RestActionProxyFactory

All Implemented Interfaces:
  com.opensymphony.xwork2.ActionProxyFactory

    public class RestActionProxyFactory

extends com.opensymphony.xwork2.DefaultActionProxyFactory

Factory that creates the `RestActionInvocation`

Field Summary
`protected String` | `namespace`
`static String` | `STRUTS_REST_NAMESPACE`

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`container`

Constructor Summary
`RestActionProxyFactory()`

Method Summary
`com.opensymphony.xwork2.ActionProxy` | `createActionProxy(String namespace, String actionName, String methodName, Map<String,Object> extraContext, boolean executeResult, boolean cleanupContext)`
`void` | `setNamespace(String namespace)`

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`createActionInvocation, createActionProxy, createActionProxy, createActionProxy, createActionProxy, createActionProxy, setContainer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRUTS_REST_NAMESPACE

    public static final String STRUTS_REST_NAMESPACE

See Also:
  Constant Field Values

### namespace

    protected String namespace

Constructor Detail

### RestActionProxyFactory

    public RestActionProxyFactory()

Method Detail

### setNamespace

    public void setNamespace(String namespace)

### createActionProxy

    public com.opensymphony.xwork2.ActionProxy createActionProxy(String namespace,
                                                                 String actionName,
                                                                 String methodName,
                                                                 Map<String,Object> extraContext,
                                                                 boolean executeResult,
                                                                 boolean cleanupContext)

  Specified by:
    `createActionProxy` in interface `com.opensymphony.xwork2.ActionProxyFactory`
  Overrides:
    `createActionProxy` in class `com.opensymphony.xwork2.DefaultActionProxyFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.